## Update an item `PUT https://getkollek.com/api/collections/{collection}/items/{item}` Update the name, description and type of an item. **Permissions:** Owners and editors. Viewers get a 404 response. ### Path parameters - `collection` (integer, required): The ID of the collection the item belongs to. - `item` (integer, required): The ID of the item. ### Body parameters - `name` (string, required): The name of the item. Maximum 255 characters. - `description` (string, optional): A free text description of the item. Maximum 2000 characters. - `type_id` (integer, optional): The ID of the type of the item. Must be a type of your account. **Returns:** The updated item object. ### Example request ```bash curl https://getkollek.com/api/collections/1/items/1 \ -X PUT \ -H "Authorization: Bearer $API_KEY" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "name": "Amazing Spider-Man #1", "description": "Near mint condition.", "type_id": "3" }' ``` ### Example response `Status: 200` ```json { "data": { "type": "item", "id": "1", "attributes": { "name": "Amazing Spider-Man #1", "description": "Near mint condition.", "collection_id": "1", "type_id": null, "category_id": null, "set_id": null, "series_id": null, "created_at": 1752537600, "updated_at": 1752537600 }, "links": { "self": "https://getkollek.com/api/collections/1/items/1" } } } ```